1

[alpine-devel] [PATCH] main/libunistring/APKBUILD

Nathan Angelacos
Details
Message ID
<1367800260-6405-1-git-send-email-nangel@alpinelinux.org>
Sender timestamp
1367800260
DKIM signature
missing
Download raw message
Patch: +41 -0
New package for unicode string handling
---
 main/libunistring/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 main/libunistring/APKBUILD

diff --git a/main/libunistring/APKBUILD b/main/libunistring/APKBUILD
new file mode 100644
index 0000000..48390ff
--- /dev/null
+++ b/main/libunistring/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor:
+# Maintainer: Nathan Angelacos <nangel@alpinelinux.org>
+pkgname=libunistring
+pkgver=0.9.3
+pkgrel=0
+pkgdesc="GNU Unicode string library"
+url="http://www.gnu.org/software/libunistring/"
+arch="all"
+license="LGPLv3+"
+depends=""
+depends_dev="libiconv-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://ftp.gnu.org/gnu/libunistring/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	 ./configure --prefix=/usr || return 1
+	make all || return 1
+}
+
+package() {
+	cd "$_builddir"
+    make DESTDIR="$pkgdir" install || return 1
+    rm "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="db8eca3b64163abadf8c40e5cecc261f  libunistring-0.9.3.tar.gz"
-- 
1.8.2.2



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20130506112146.1d806f77@ncopa-desktop.alpinelinux.org>
In-Reply-To
<1367800260-6405-1-git-send-email-nangel@alpinelinux.org> (view parent)
Sender timestamp
1367832106
DKIM signature
missing
Download raw message
On Mon,  6 May 2013 00:31:00 +0000
Nathan Angelacos <nangel@alpinelinux.org> wrote:

> New package for unicode string handling

Applied thanks!

A few nitpicks below...

> ---
>  main/libunistring/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 41 insertions(+)
>  create mode 100644 main/libunistring/APKBUILD
> 
> diff --git a/main/libunistring/APKBUILD b/main/libunistring/APKBUILD
> new file mode 100644
> index 0000000..48390ff
> --- /dev/null
> +++ b/main/libunistring/APKBUILD
> @@ -0,0 +1,41 @@
> +# Contributor:
> +# Maintainer: Nathan Angelacos <nangel@alpinelinux.org>
> +pkgname=libunistring
> +pkgver=0.9.3
> +pkgrel=0
> +pkgdesc="GNU Unicode string library"
> +url="http://www.gnu.org/software/libunistring/"
> +arch="all"
> +license="LGPLv3+"
> +depends=""
> +depends_dev="libiconv-dev"

Does libiconv-dev need to be installed to be able to compile/link against libunistring? If not, you could have depends_dev empty and add libiconv-dev to makedepends. (As it it is now libunistring-dev depends on libiconv-dev)

> +makedepends="$depends_dev"
> +install=""
> +subpackages="$pkgname-dev $pkgname-doc"
> +source="http://ftp.gnu.org/gnu/libunistring/$pkgname-$pkgver.tar.gz"

...

> +md5sums="db8eca3b64163abadf8c40e5cecc261f  libunistring-0.9.3.tar.gz"

Looks like an old abuild was used. I think we want sha256 and sha512 sums too.

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---